function [xplus, rplus, terminal] = ddi_mdpQUAD2(m, x, u) %, w)
% This function is obsolete, kept for compatibility reasons: use ddi_mdpx instead
% Implements optimized ddi for QUAD2 type of reward.
%  [XPLUS, RPLUS, TERMINAL] = DDI_MDPX(M, X, U)
% See ddi_mdpx.
%
% This function conforms to the specifications established by SAMPLE_MDP.
%
% Version 2009-02-03: commented out pre-generated noise handling (no longer needed)

% dynamics w/ bounded state
if m.det,
    xplus = max(-m.maxx, min(m.maxx, [x(1)+x(2); x(2)+u]));
else
%     if nargin == 3,         % generate noise
        w = 2*rand*m.maxw-m.maxw;
%     end;                    % else use provided noise
    xplus = max(-m.maxx, min(m.maxx, [x(1)+x(2); x(2)+u+w]));
end;
rplus = -(1 - abs(xplus(1)))^2 - (xplus(2)*xplus(1))^2;
terminal = abs(xplus(1)) >= m.maxx(1);
    
% END FUNCTION -----
