function [xplus, rplus, terminal] = ddi_mdp(m, x, u)
% This function is obsolete; use ddi_mdpx instead
% Implements the discrete double integrator with
% bounded position and velocity, controlled in acceleration.
%  [XPLUS, RPLUS, TERMINAL] = DDI_MDP(M, X, U, W)
% Model restricted to deterministic, and quadratic reward
%
% This function conforms to the specifications established by SAMPLE_MDP.

% dynamics w/ bounded state
xplus = max(-m.maxx, min(m.maxx, [x(1)+x(2); x(2)+u]));
% goal: exit through + or -1 with as little speed as possible
rplus = -(1 - abs(xplus(1)))^2 - xplus(2)^2;

terminal = abs(xplus(1)) >= m.maxx(1);

% END FUNCTION -----
