function b = damp_constant(d, x)
% Constant damping.
%   B = DAMP_CONSTANT(D, X)
%
% Parameters:
%   D  - the damping parameters
%       b       - the constant damping
%   X   - the current state
% Returns:
%   B   - the constant friction (damping) coefficient


b = d.b; 

% END damp_constant, RETURNING b ===================================================